--
-- The Intrasite-Message Package
--
-- @author Richard Hamilton (richard.hamilton@webteamworks.com)
-- @version $Id:
--
--
-- GNU GPL v2
--

-- Uncomment once package is installed by OpenACS installer.
-- select drop_package('intrasite-message');

-- drop permissions
-- No permissions to drop since the only party able to read a message is the user.

-- drop objects
-- No objects to drop since there was no reason to use either the ACS Object model
-- or the Content Repository.

--drop tables
drop table im_message cascade;

drop table im_addressees cascade;

drop table im_address_mode;

drop table im_folder;

drop function im_folder__new (varchar,integer, boolean);

drop function im_folder__del (integer, integer);

drop function im_message__folder_owner_p (integer, integer);

drop function im_message__new (integer,varchar,varchar,boolean);

drop function im_message__admin_del (integer);

drop function im_message__del (integer, integer);

drop function im_message__delete (integer, integer);

drop function im_message__move (integer, integer, integer);

drop function im_folder_display__links (integer);

drop function im_message__send (integer,integer);

drop function im_message__sent_p (integer);

drop function im_message__author_p (integer, integer);

drop function im_message__addressee_p (integer, integer);

drop function im_addressee__insert (integer, integer, integer, integer);

drop function im_addressee__remove (integer, integer, integer, integer);

drop function im_to_addressees_horiz_list (integer);

drop function count_of_pending_messages (integer, integer);

drop function im_mark_read_p (integer, integer);

drop function im_embolden_unread (varchar, integer, integer);

drop function im_message__user_bcc_p (integer, integer);

drop function im_message__new_reply (integer, varchar, varchar, boolean, integer, integer);

drop function im_message__priority_sign_p (boolean);

